## org.apache.commons.collections.list
Class AbstractSerializableListDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.list.AbstractListDecorator
              org.apache.commons.collections.list.AbstractSerializableListDecorator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List

Direct Known Subclasses:
  FixedSizeList, GrowthList, LazyList, SetUniqueList, UnmodifiableList

    public abstract class AbstractSerializableListDecorator

extends AbstractListDecorator
implements java.io.Serializable

Serializable subclass of AbstractListDecorator.

Since:
  Commons Collections 3.1
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractSerializableListDecorator(java.util.List list)` Constructor.

Method Summary

Methods inherited from class org.apache.commons.collections.list.AbstractListDecorator
`add, addAll, get, getList, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractSerializableListDecorator

    protected AbstractSerializableListDecorator(java.util.List list)

  Constructor.

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.